[PATCH 2/2] tests: always kill helper

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Ruediger Meier <ruediger.meier@xxxxxxxxxxx>

Signed-off-by: Ruediger Meier <ruediger.meier@xxxxxxxxxxx>
---
 tests/ts/kill/print_pid | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/tests/ts/kill/print_pid b/tests/ts/kill/print_pid
index 1b3052b..c6187f1 100755
--- a/tests/ts/kill/print_pid
+++ b/tests/ts/kill/print_pid
@@ -41,13 +41,13 @@ fi
 if [ "x$TEST_PID" != "x$KILL_PID" ]; then
 	echo "jobs -p $TEST_PID != kill -p $KILL_PID" >> "$TS_OUTPUT"
 	all_ok=false
-else
-	"$TS_CMD_KILL" -1 $TEST_PID
-	wait $TEST_PID
-	if [ $? -ne 1 ]; then
-		echo "wait $TEST_PID returned ${?}" >> "$TS_OUTPUT"
-		all_ok=false
-	fi
+fi
+
+"$TS_CMD_KILL" -1 $TEST_PID
+wait $TEST_PID
+if [ $? -ne 1 ]; then
+	echo "wait $TEST_PID returned ${?}" >> "$TS_OUTPUT"
+	all_ok=false
 fi
 
 if $all_ok; then
-- 
1.8.4.5

--
To unsubscribe from this list: send the line "unsubscribe util-linux" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [Netdev]     [Ethernet Bridging]     [Linux Wireless]     [Kernel Newbies]     [Security]     [Linux for Hams]     [Netfilter]     [Bugtraq]     [Yosemite News]     [MIPS Linux]     [ARM Linux]     [Linux RAID]     [Linux Admin]     [Samba]

  Powered by Linux